# Class VulkanPipelineCacheCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineCacheCreateInfo.Builder

Enclosing class:
  `VulkanPipelineCacheCreateInfo`

public static final class VulkanPipelineCacheCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineCacheCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineCacheCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineCacheCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineCacheCreateInfo.Builder`
  `addFlags(VulkanPipelineCacheCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineCacheCreateInfo.Builder`
  `addFlags(VulkanPipelineCacheCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineCacheCreateInfo`
  `build()`
  Builds a new `VulkanPipelineCacheCreateInfo`.
  `final VulkanPipelineCacheCreateInfo.Builder`
  `from(VulkanPipelineCacheCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineCacheCreateInfoType` instance.
  `final VulkanPipelineCacheCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineCacheCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineCacheCreateInfo.Builder`
  `setInitialData(ByteBuffer initialData)`
  Initializes the value for the `initialData` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineCacheCreateInfo.Builder from(VulkanPipelineCacheCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineCacheCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineCacheCreateInfo.Builder addFlags(VulkanPipelineCacheCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineCacheCreateInfo.Builder addFlags(VulkanPipelineCacheCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineCacheCreateInfo.Builder setFlags(Iterable<VulkanPipelineCacheCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineCacheCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineCacheCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setInitialData

    public final VulkanPipelineCacheCreateInfo.Builder setInitialData(ByteBuffer initialData)
    Initializes the value for the `initialData` attribute.
    Parameters:
      `initialData` - The value for initialData
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineCacheCreateInfo build()
    Builds a new `VulkanPipelineCacheCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineCacheCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing